package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.Opening;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllOpeningsNode extends Renderable {
	
	private final List<Opening> openings;
	
	public AllOpeningsNode(List<Opening> openings) {
		this.openings = openings;
	}

	@Override
	public void refreshTextColor() {
		boolean wasChecked = false;
		for (Opening op : openings) {
			if (op.isValidated()) {
				wasChecked = true;
				if (op.containsAnyError()) {
					setStatus(CheckStatus.ERROR);
					return;
				}
			}
		}
		if (wasChecked) {
			setStatus(CheckStatus.OK);
		} else {
			setStatus(CheckStatus.NOT_CHECKED);
		}
	}

	@Override
	public String getText() {
		return "Openings";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.clearCurrentRender();
	}

}
